Bug 82130 - Install & console resolultion only 640x480 on an LCD display
Install & console resolultion only 640x480 on an LCD display
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-17 17:00 EST by John
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 15:49:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 2003-01-17 17:00:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
I'm using a laptop with an LCD display.  While Phoebe is being installed, the
resolution is 640x480, using only a fraction of the small (12") display.

I consider it a bug because friends who watch my install over my shoulder think
it is ugly. :)  More seriously, though, some of the installation text can be
difficult to read.

I understand the challenge in fixing this.  The resolution of the laptop's
screen must be determined, and then the appropriate framebuffer (VESA?) started
with the correct resolution.

This is a more general problem, too.  On a laptop the console's resolution
defaults to 640x480, even in everyday usage.  The option vga=0x305 must be fed
to the kernel during boot to set the appropriate resolution.  I think that the
"vga" boot option should be automatically set in grub.conf by anaconda, so that
the average laptop user never has to learn about this little detail.

(I didn't find another bug report on this, but excuse me if someone else has
already added this to bugzilla!)

Thanks!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Insert RH Linux CD and boot
    

Actual Results:  A small 640x480 installation screen, surrounded a big black border.

Expected Results:  An installation screen which occupies the entire screen.

Additional info:
Comment 1 Bill Nottingham 2003-01-20 16:04:12 EST
You can boot with 'linux resolution=1600x1200' (or whatever is appropriate.)
Comment 2 Michael Fulbright 2003-01-21 12:39:04 EST
What is this laptop? What video chipset does it use?
Comment 3 John 2003-01-23 18:55:42 EST
Oops, I didn't notice the email about Mike's email until now.

It's a Sony VAIO R505GC, using an i830MG graphics chipset.  (Actually, lspci
reports it as an "Intel Corp. 82830 CGC," while XFree86 reports it as an i830M.

(The display is gorgeous under X.  I mentioned in a comment under Bug 80402,
though, that the LCD display panel wasn't autodetected, and I still don't know
the details about it.  But, I do know that it works fine as a "Generic Laptop
1024x768 Display," though.)

I feel silly for omitting the details about the machine in the report. :)  Let
me know if you need anything else.
Comment 4 Michael Fulbright 2003-01-30 15:49:04 EST
Unfortunately there is no way from Linux to probe the LCD features like we can
CRT monitors. We hope this will be possible at some point in the future.

You can add options to the grub boot command line in the bootloader
configuration screen (it might be under the advanced options).
Comment 5 John 2003-01-30 16:03:12 EST
Fair enough.  Now, how do I change the resolution of grub itself?  I've searched
pretty extensively, and can't figure out how to make it 1024x768, so it doesn't
look silly every boot.

Note You need to log in before you can comment on or make changes to this bug.